[aerogear-dev] AGDroid issues with Java 6

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

[aerogear-dev] AGDroid issues with Java 6

Summers Pittman
So I discovered a bug in the android-maven-plugin which makes building projects on JDK 6 fail if they consume AAR dependencies.  I've reported this to the project and have a potential fix in mind.

My question to the list is, a) do we want to drop Java 6 support and b) if not are we fine with disabling JDK6 in travis until this gets resolved?

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] AGDroid issues with Java 6

Daniel Passos

On Mon, Jun 29, 2015 at 7:07 PM, Summers Pittman <[hidden email]> wrote:
So I discovered a bug in the android-maven-plugin which makes building projects on JDK 6 fail if they consume AAR dependencies.  I've reported this to the project and have a potential fix in mind.

My question to the list is, a) do we want to drop Java 6 support and b) if not are we fine with disabling JDK6 in travis until this gets resolved?

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev



--
-- Passos

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] AGDroid issues with Java 6

Summers Pittman
Quoth Manfred : 
" Java 6 is EOL for a long time now and Java 7 is since April. I would rather get the build and usage to work with Java 8 rather than worry about Java 6 at this stage.."

So do we drop support for Java 6 in AGDroid or do I submit a patch to the plugin to fix Java 6?  Is there some third option?

On Mon, Jun 29, 2015 at 7:40 PM, Daniel Passos <[hidden email]> wrote:

On Mon, Jun 29, 2015 at 7:07 PM, Summers Pittman <[hidden email]> wrote:
So I discovered a bug in the android-maven-plugin which makes building projects on JDK 6 fail if they consume AAR dependencies.  I've reported this to the project and have a potential fix in mind.

My question to the list is, a) do we want to drop Java 6 support and b) if not are we fine with disabling JDK6 in travis until this gets resolved?

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev



--
-- Passos

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev


_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] AGDroid issues with Java 6

Matthias Wessendorf
+1 on dropping java6 - especially for 2.x and later (of AGDroid)

On Tue, Jun 30, 2015 at 1:55 PM, Summers Pittman <[hidden email]> wrote:
Quoth Manfred : 
" Java 6 is EOL for a long time now and Java 7 is since April. I would rather get the build and usage to work with Java 8 rather than worry about Java 6 at this stage.."

So do we drop support for Java 6 in AGDroid or do I submit a patch to the plugin to fix Java 6?  Is there some third option?

On Mon, Jun 29, 2015 at 7:40 PM, Daniel Passos <[hidden email]> wrote:

On Mon, Jun 29, 2015 at 7:07 PM, Summers Pittman <[hidden email]> wrote:
So I discovered a bug in the android-maven-plugin which makes building projects on JDK 6 fail if they consume AAR dependencies.  I've reported this to the project and have a potential fix in mind.

My question to the list is, a) do we want to drop Java 6 support and b) if not are we fine with disabling JDK6 in travis until this gets resolved?

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev



--
-- Passos

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev


_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev



--

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] AGDroid issues with Java 6

Daniel Passos
+1 on dropping java6

On Tue, Jun 30, 2015 at 8:58 AM, Matthias Wessendorf <[hidden email]> wrote:
+1 on dropping java6 - especially for 2.x and later (of AGDroid)

On Tue, Jun 30, 2015 at 1:55 PM, Summers Pittman <[hidden email]> wrote:
Quoth Manfred : 
" Java 6 is EOL for a long time now and Java 7 is since April. I would rather get the build and usage to work with Java 8 rather than worry about Java 6 at this stage.."

So do we drop support for Java 6 in AGDroid or do I submit a patch to the plugin to fix Java 6?  Is there some third option?

On Mon, Jun 29, 2015 at 7:40 PM, Daniel Passos <[hidden email]> wrote:

On Mon, Jun 29, 2015 at 7:07 PM, Summers Pittman <[hidden email]> wrote:
So I discovered a bug in the android-maven-plugin which makes building projects on JDK 6 fail if they consume AAR dependencies.  I've reported this to the project and have a potential fix in mind.

My question to the list is, a) do we want to drop Java 6 support and b) if not are we fine with disabling JDK6 in travis until this gets resolved?

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev



--
-- Passos

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev


_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev



--

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev



--
-- Passos

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] AGDroid issues with Java 6

Summers Pittman
In reply to this post by Matthias Wessendorf
So it seems like at some point Android officially dropped Java 6 support as well.

On Tue, Jun 30, 2015 at 7:58 AM, Matthias Wessendorf <[hidden email]> wrote:
+1 on dropping java6 - especially for 2.x and later (of AGDroid)

On Tue, Jun 30, 2015 at 1:55 PM, Summers Pittman <[hidden email]> wrote:
Quoth Manfred : 
" Java 6 is EOL for a long time now and Java 7 is since April. I would rather get the build and usage to work with Java 8 rather than worry about Java 6 at this stage.."

So do we drop support for Java 6 in AGDroid or do I submit a patch to the plugin to fix Java 6?  Is there some third option?

On Mon, Jun 29, 2015 at 7:40 PM, Daniel Passos <[hidden email]> wrote:

On Mon, Jun 29, 2015 at 7:07 PM, Summers Pittman <[hidden email]> wrote:
So I discovered a bug in the android-maven-plugin which makes building projects on JDK 6 fail if they consume AAR dependencies.  I've reported this to the project and have a potential fix in mind.

My question to the list is, a) do we want to drop Java 6 support and b) if not are we fine with disabling JDK6 in travis until this gets resolved?

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev



--
-- Passos

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev


_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev



--

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev


_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] AGDroid issues with Java 6

Matthias Wessendorf
Cool - android++

I think its good to have a blog post on us getting rid if j6 for android (and linking to android's statement of saying good bye to j6)

On Tuesday, June 30, 2015, Summers Pittman <[hidden email]> wrote:
So it seems like at some point Android officially dropped Java 6 support as well.

On Tue, Jun 30, 2015 at 7:58 AM, Matthias Wessendorf <<a href="javascript:_e(%7B%7D,&#39;cvml&#39;,&#39;matzew@apache.org&#39;);" target="_blank">matzew@...> wrote:
+1 on dropping java6 - especially for 2.x and later (of AGDroid)

On Tue, Jun 30, 2015 at 1:55 PM, Summers Pittman <<a href="javascript:_e(%7B%7D,&#39;cvml&#39;,&#39;supittma@redhat.com&#39;);" target="_blank">supittma@...> wrote:
Quoth Manfred : 
" Java 6 is EOL for a long time now and Java 7 is since April. I would rather get the build and usage to work with Java 8 rather than worry about Java 6 at this stage.."

So do we drop support for Java 6 in AGDroid or do I submit a patch to the plugin to fix Java 6?  Is there some third option?

On Mon, Jun 29, 2015 at 7:40 PM, Daniel Passos <<a href="javascript:_e(%7B%7D,&#39;cvml&#39;,&#39;dpassos@redhat.com&#39;);" target="_blank">dpassos@...> wrote:

On Mon, Jun 29, 2015 at 7:07 PM, Summers Pittman <<a href="javascript:_e(%7B%7D,&#39;cvml&#39;,&#39;supittma@redhat.com&#39;);" target="_blank">supittma@...> wrote:
So I discovered a bug in the android-maven-plugin which makes building projects on JDK 6 fail if they consume AAR dependencies.  I've reported this to the project and have a potential fix in mind.

My question to the list is, a) do we want to drop Java 6 support and b) if not are we fine with disabling JDK6 in travis until this gets resolved?

_______________________________________________
aerogear-dev mailing list
<a href="javascript:_e(%7B%7D,&#39;cvml&#39;,&#39;aerogear-dev@lists.jboss.org&#39;);" target="_blank">aerogear-dev@...
https://lists.jboss.org/mailman/listinfo/aerogear-dev



--
-- Passos

_______________________________________________
aerogear-dev mailing list
<a href="javascript:_e(%7B%7D,&#39;cvml&#39;,&#39;aerogear-dev@lists.jboss.org&#39;);" target="_blank">aerogear-dev@...
https://lists.jboss.org/mailman/listinfo/aerogear-dev


_______________________________________________
aerogear-dev mailing list
<a href="javascript:_e(%7B%7D,&#39;cvml&#39;,&#39;aerogear-dev@lists.jboss.org&#39;);" target="_blank">aerogear-dev@...
https://lists.jboss.org/mailman/listinfo/aerogear-dev



--

_______________________________________________
aerogear-dev mailing list
<a href="javascript:_e(%7B%7D,&#39;cvml&#39;,&#39;aerogear-dev@lists.jboss.org&#39;);" target="_blank">aerogear-dev@...
https://lists.jboss.org/mailman/listinfo/aerogear-dev



--
Sent from Gmail Mobile

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] AGDroid issues with Java 6

Artur Dryomov
I may be totally wrong, but I probably saw JDK 7 requirement in times of L preview. Or it was just a dream!

_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev